#!/bin/sh
# File Name: uninstall.command
# Description: Remove the SNMP ShutdownAgent from Mac OSX
# OS: FreeBSD

echo Uninstall the SNMP Shutdown Agent.
echo 
echo You must be logged in to an Administrator account before you begin to uninstall.
echo 
echo -n "Are you sure you want to remove SNMP Shutdown Agent (y/n)? "
read result
echo

case $result in
    y | Y)
	sudo -p "Please enter this user's password to perform the uninstall: " -v
	if [ $? = 1 ] ; then
		echo Authentication failed, or this user is not an Administrator. Please log in as an Administrator and try again.
	else
		kill -HUP `ps -ax | grep 'SAgentd' | grep -v grep | awk '{print $1}'`
		sudo rm -fR /Library/StartupItems/ShutdownAgent
	        sudo rm -fR /Applications/ShutdownAgent
		sudo rm -fR /Library/Receipts/ShutdownAgent.pkg
		sudo -k
		echo
		echo "SNMP Shutdown Agent has been uninstalled successfully."
	fi
	;;
    *)
        echo "Fail to uninstall the SNMP Shutdown Agent."
	;;
esac
